## lua-md5 1.2+git+1+8d87fee

=== Makefile ===
# $Id: Makefile,v 1.7 2007/10/11 00:02:56 carregal Exp $

CONFIG= ./config

include $(CONFIG)

COMPAT52_OBJS= src/compat-5.2.o

MD5_OBJS= src/md5.o src/md5lib.o
MD5_LUAS= src/md5.lua
MD5_LIBNAME = core.so

DES56_OBJS= src/des56.o src/ldes56.o
DES56_LIBNAME= des56.so

all: src/$(MD5_LIBNAME) src/$(DES56_LIBNAME)

src/$(MD5_LIBNAME) : $(MD5_OBJS) $(COMPAT52_OBJS)
	$(CC) $(CFLAGS) $(LIB_OPTION) -o src/$(MD5_LIBNAME) $(MD5_OBJS) $(COMPAT52_OBJS)

src/$(DES56_LIBNAME) : $(DES56_OBJS) $(COMPAT52_OBJS)
	$(CC) $(CFLAGS) $(LIB_OPTION) -o src/$(DES56_LIBNAME) $(DES56_OBJS) $(COMPAT52_OBJS)

install: src/$(MD5_LIBNAME) src/$(DES56_LIBNAME)
	mkdir -p $(LUA_LIBDIR)/md5
	cp src/$(MD5_LIBNAME) $(LUA_LIBDIR)/md5/core.so
	mkdir -p $(LUA_DIR)
	cp $(MD5_LUAS) $(LUA_DIR)
	cp src/$(DES56_LIBNAME) $(LUA_LIBDIR)

clean:
	rm -f $(MD5_OBJS) src/$(MD5_LIBNAME) $(DES56_OBJS) src/$(DES56_LIBNAME) $(COMPAT52_OBJS)

## lua-md5 1.1.2

=== debian/changelog ===
lua-md5 (1.1.2-4) unstable; urgency=low

  * source format 3.0 (quilt)

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 22 Jul 2011 12:24:08 +0200

lua-md5 (1.1.2-3) unstable; urgency=low

  * multi-arch (dh >= 8.1.3, lua5.1-policy-dev >= 32)
  * bump standards-version to 3.9.2, no changes
  * removed .la files

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 20 Jul 2011 23:03:57 +0200

lua-md5 (1.1.2-2) unstable; urgency=low

  * bump standards-version to 3.8.2, no changes
  * build-depend on lua5.1-policy-dev >= 22

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 21 Jul 2009 16:43:38 +0200

lua-md5 (1.1.2-1) unstable; urgency=low

  * new upstream release (minor bugfixing)
  * removed patch stdint (integrated upstream) 

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 14 May 2008 11:29:50 +0200

lua-md5 (1.1.1-1) unstable; urgency=low

  * Initial release. (Closes: #462222)

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 27 Dec 2007 17:33:24 +0100

=== debian/control ===
Source: lua-md5
Section: interpreters
Priority: optional
Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 8.1.3), lua5.1-policy-dev (>= 32), shake
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/lua-md5
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/lua-md5
Homepage: http://keplerproject.org/md5/

Package: liblua5.1-md5-0
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends}
Section: libs
Description: MD5 library for the Lua language version 5.1
 This package contains a small crypto library for Lua. It comprises 
 the MD5 and the DES56 algorithms.

Package: liblua5.1-md5-dev
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: liblua5.1-md5-0 (= ${binary:Version})
Section: libdevel
Description: MD5 library for the Lua language version 5.1
 This package contains the development files of the Lua md5 library,
 useful to create a statically linked binary (like a C application or a
 standalone Lua interpreter).
 Documentation is also shipped within this package.

=== debian/watch ===
# test this watch file using:
# uscan --watchfile debian/watch --upstream-version 0.0.1 --package lua-md5
#
version=3
http://luaforge.net/frs/?group_id=155  /frs/download.php/\d+/md5-([\d\.]*).tar.gz

## lua-md5 1.1.2+gitdef7fa6

=== debian/changelog ===
lua-md5 (1.1.2+gitdef7fa6-1) unstable; urgency=low

  * New upstream snapshot with lua5.2 support
  * Packaging moved to git
  * Transitional packages removed 

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 25 Apr 2012 14:53:58 +0200

lua-md5 (1.1.2-6) unstable; urgency=low

  * Patch to fix test
  * Remove build-dependency on shake 

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 25 Apr 2012 14:53:11 +0200

lua-md5 (1.1.2-5) unstable; urgency=low

  * Copyright updated to format 1.0 
  * Switch to dh-lua
  * Packages renamed according to the new Lua policy
  * Bump standards-version to 3.9.3, no changes 
  * debian/compat set to 8 
  * Update watch file 

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 25 Apr 2012 14:01:40 +0200

## lua-md5 1.2%2Bgit%2B1%2B8d87fee

=== debian/control ===
Source: lua-md5
Section: interpreters
Priority: optional
Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends: debhelper (>= 8.1.3), dh-lua
Standards-Version: 3.9.3
Homepage: https://github.com/keplerproject/md5
Vcs-Git: git://git.debian.org/git/pkg-lua/lua-md5.git
Vcs-Browser: http://git.debian.org/?p=pkg-lua/lua-md5.git

Package: lua-md5
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Section: libs
Description: MD5 library for the Lua language
 This package contains a small crypto library for Lua. It comprises 
 the MD5 and the DES56 algorithms.

Package: lua-md5-dev
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: lua-md5 (= ${binary:Version}), ${misc:Depends}
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Section: libdevel
Description: MD5 library for the Lua language
 This package contains the development files of the Lua md5 library,
 useful to create a statically linked binary (like a C application or a
 standalone Lua interpreter).
 .
 Documentation is also shipped within this package.

## lua-md5 1.2+git+1+8d87fee

=== debian/changelog ===
lua-md5 (1.2+git+1+8d87fee-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #995515)

 -- Marcos Talau <talau@debian.org>  Tue, 15 Nov 2022 09:36:28 -0300

lua-md5 (1.2+git+1+8d87fee-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Drop explicit Pre-Depends on multiarch-support
    (Closes: #870553).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 20 Jan 2018 21:33:30 +0100

lua-md5 (1.2+git+1+8d87fee-1) unstable; urgency=low

  * New upstream release (plus some commit to fix 5.2 support)
  * Refresh patch 

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 29 Nov 2013 17:29:09 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: lua-md5
 Section: interpreters
 Priority: optional
-Maintainer: Enrico Tassi <gareuselesinge@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 8.1.3), dh-lua
 Standards-Version: 3.9.3
 Homepage: https://github.com/keplerproject/md5
@@ -11,7 +11,7 @@
 Package: lua-md5
 Architecture: any
 Multi-Arch: same
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Provides: ${lua:Provides}
 XB-Lua-Versions: ${lua:Versions}
@@ -23,7 +23,7 @@
 Package: lua-md5-dev
 Architecture: any
 Multi-Arch: same
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Depends: lua-md5 (= ${binary:Version}), ${misc:Depends}
 Provides: ${lua:Provides}
 XB-Lua-Versions: ${lua:Versions}

=== debian/watch ===
# test this watch file using:
# uscan --watchfile debian/watch --upstream-version 0.0.1 --package lua-md5
#
version=3
http://github.com/keplerproject/md5/downloads /downloads/.*/.*md5-([\d\.]*).tar.gz

## lua-md5 1.3

=== Makefile ===
--- 
+++ 
@@ -22,11 +22,11 @@
 	$(CC) $(CFLAGS) $(LIB_OPTION) -o src/$(DES56_LIBNAME) $(DES56_OBJS) $(COMPAT52_OBJS)
 
 install: src/$(MD5_LIBNAME) src/$(DES56_LIBNAME)
+	cp src/$(DES56_LIBNAME) $(LUA_LIBDIR)
 	mkdir -p $(LUA_LIBDIR)/md5
-	cp src/$(MD5_LIBNAME) $(LUA_LIBDIR)/md5/core.so
+	cp src/$(MD5_LIBNAME) $(LUA_LIBDIR)/md5/
 	mkdir -p $(LUA_DIR)
 	cp $(MD5_LUAS) $(LUA_DIR)
-	cp src/$(DES56_LIBNAME) $(LUA_LIBDIR)
 
 clean:
 	rm -f $(MD5_OBJS) src/$(MD5_LIBNAME) $(DES56_OBJS) src/$(DES56_LIBNAME) $(COMPAT52_OBJS)

=== tests/DES56/Makefile ===

CFLAGS= -O6 -DUSG=0 -DBSD=0

FILES=	Makefile des56.h des56.c fdemo.c ftest.c

all:	demo test

# demo -- evaluate, test and time DES, works even on non-UNIX systems

demo:	fdemo
	./fdemo -demo -c 1000

fdemo:	fdemo.o des56.o
	${CC} -o $@ $@.o des56.o

# test -- evaluates DES, compares with UNIX crypt

test:	ftest
	./ftest 4869207468657265 a820105412de3991 77129bd8c052e7
	./ftest 1.21280ac -c 5000000 -k 1000000 -C 100000 -K 100000

ftest:	ftest.o des56.o
	${CC} -o $@ $@.o des56.o -lcrypt

dist:
	@tar cvf - ${FILES}

clean:
	rm -f clean core fdemo ftest fdemo.o ftest.o des56.o

=== debian/changelog ===
lua-md5 (1.3-2) unstable; urgency=medium

  * QA upload
  * Drop lua5.2 support

 -- Bastian Germann <bage@debian.org>  Thu, 09 Oct 2025 13:14:56 +0200

lua-md5 (1.3-1) unstable; urgency=medium

  * QA upload.
  * Point Vcs fields to Salsa
  * Add Lua 5.3 and 5.4 support
    Closes: #920556
  * d/watch
     - version=4
     - Fix to work properly with tags
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Trim trailing whitespace.
  * Add debian/upstream/metadata
  * debian/not-installed: cope with dh_missing --fail-missing default

 -- Andreas Tille <tille@debian.org>  Mon, 25 Aug 2025 16:57:12 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: interpreters
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 8.1.3), dh-lua
-Standards-Version: 3.9.3
+Build-Depends: debhelper-compat (= 13), dh-lua
+Standards-Version: 4.7.2
+Vcs-Browser: https://salsa.debian.org/lua-team/lua-md5
+Vcs-Git: https://salsa.debian.org/lua-team/lua-md5.git
 Homepage: https://github.com/keplerproject/md5
-Vcs-Git: git://git.debian.org/git/pkg-lua/lua-md5.git
-Vcs-Browser: http://git.debian.org/?p=pkg-lua/lua-md5.git
 
 Package: lua-md5
 Architecture: any
@@ -17,7 +17,7 @@
 XB-Lua-Versions: ${lua:Versions}
 Section: libs
 Description: MD5 library for the Lua language
- This package contains a small crypto library for Lua. It comprises 
+ This package contains a small crypto library for Lua. It comprises
  the MD5 and the DES56 algorithms.
 
 Package: lua-md5-dev
@@ -34,4 +34,3 @@
  standalone Lua interpreter).
  .
  Documentation is also shipped within this package.
-

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=lua --with lua

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/keplerproject/md5/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
